#include <qglobal.h> //for QT_VERSION

#if QT_VERSION < 0x040000

#define Q_POPUP_MENU QPopupMenu
#define Q_H_BOX QHBox
#define Q_V_BOX QVBox
#define Q3_H_GROUP_BOX QWidget //QHGroupBox
#define Q_H_GROUP_BOX QHGroupBox
#define Q_V_GROUP_BOX QVGroupBox
#define Q_LIST_VIEW QListView
#define Q_LIST_VIEW_ITEM QListViewItem
#define Q_LIST_VIEW_ITEM_ITERATOR QListViewItemIterator
#define Q_LIST_BOX QListBox
#define Q_SCROLL_VIEW QScrollView
#define Q_TEXT_DRAG QTextDrag
//#define Q_MULTI_LINE_EDIT QTextEdit //QMultiLineEdit
#define Q_STORED_DRAG QStoredDrag
#define Q_HEADER QHeader
 
#define STRONG_FOCUS QWidget::StrongFocus
#define WHEEL_FOCUS QWidget::WheelFocus

#else

#define Q_POPUP_MENU QMenu //Done
#define Q_H_BOX QWidget // Done
#define Q_V_BOX QWidget // Done
#define Q3_H_GROUP_BOX QWidget // Done
#define Q_H_GROUP_BOX QGroupBox // Done
#define Q_V_GROUP_BOX QGroupBox // Done
#define Q_LIST_VIEW Q3ListView // TODO replace with QListView and QTreeView
#define Q_LIST_VIEW_ITEM Q3ListViewItem // TODO replace with QListWidget and QTreeWidget
#define Q_LIST_VIEW_ITEM_ITERATOR Q3ListViewItemIterator
#define Q_LIST_BOX QListWidget // Done
#define Q_SCROLL_VIEW QScrollArea // Done
#define Q_TEXT_DRAG Q3TextDrag //TODO use QMimeData instead and call QMimeData::setText() to set the data
#define Q_STORED_DRAG Q3StoredDrag
#define Q_HEADER Q3Header // TODO QHeaderView

#define STRONG_FOCUS Qt::StrongFocus
#define WHEEL_FOCUS Qt::WheelFocus

#endif

